Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: Andi Kleen <[email-masked]>
Date: Mon, 20 Sep 2004 22:30:21 +0200

On Mon, Sep 20, 2004 at 04:30:13PM +1000, Anton Blanchard wrote:
> 
> Hi,
> 
> I just tried latest 2.6.9-rc2-BK on a machine with an e1000 on it. With
> TSO off it does about 100MB/sec. With TSO on it does between 1MB/sec and
> 10MB/sec.

I see the same problem here, but it's even worse. I only get 150-200KB/s
sending data with scp from a fast machine with e1000 with a gigabit link. 
netperf also gives only 250KB/s. 

-Andi